| POST | /RestApi/cache//add |
|---|
export class AddExternalCacheRequest
{
public Url: string;
public CacheKey: string;
public Keys: string[];
public constructor(init?: Partial<AddExternalCacheRequest>) { (Object as any).assign(this, init); }
}
export class AddExternalCacheResponse
{
public Result: boolean;
public Message: string;
public constructor(init?: Partial<AddExternalCacheResponse>) { (Object as any).assign(this, init); }
}
TypeScript AddExternalCacheRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/cache//add HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
Url: String,
CacheKey: String,
Keys:
[
String
]
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Result: False,
Message: String
}